## 1、审理立案流程图

![1701667421756](image/设计方案/1701667421756.png)

## 2、基础模块设计

### **(1)系统菜单**：

1. 数据报表(待开发)
2. 案件列表(优先开发)：方案一【全部案件(列表、新建、查询、编辑)】；方案二：【一级菜单(案件列表)，二级菜单(全部案件，待开庭、已开庭待结案、已结案)】
3. 待办事项
4. 抵押登记(待开发)
5. 账号管理(开发已完成)：分为管理员和普通用户，权限不同，权限待商议
6. 后续添加……

### (2)数据库设计：

数据库表：用户表、原告表、代理人表，业务员表、被告表、案件表、附件表

1. 用户表user：id，name(姓名)，username(用户名/工号)，password(密码)，phone(电话号码)，admin(管理员等级0-超级用户，1-管理员，2-用户)，status(账号封禁，1-正常，0-封禁)，create_time(创建时间)，update_time(更新时间)，create_user(创建用户)，update_user(更新用户)，reserved_field1(预留字段1)，reserved_field2(预留字段2)，reserved_field3(预留字段3)，reserved_field4(预留字段4)，reserved_field5(预留字段5)
2. 原告表plaintiff：id，type(类型，1-法人)，unit_name(单位名称)，license_type(证照类型，1-统一社会信用代码证)，license_num(证照号码)，unit_location(单位住所地)，phone_num(联系电话)，create_time(创建时间)，update_time(更新时间)，create_user(创建用户)，update_user(更新用户)，reserved_field1(预留字段1)，reserved_field2(预留字段2)，reserved_field3(预留字段3)，reserved_field4(预留字段4)，reserved_field5(预留字段5)
3. 被告表defendant：id，type(当事人类型，1-法人)，unit_name(单位名称)，unit_location(单位住所地)，create_time(创建时间)，update_time(更新时间)，create_user(创建用户)，update_user(更新用户)，reserved_field1(预留字段1)，reserved_field2(预留字段2)，reserved_field3(预留字段3)，reserved_field4(预留字段4)，reserved_field5(预留字段5)
4. 代理人表agent：id，type(代理人类型，1-律师，2-法律工作者，3-单位推荐，4-其他)，name(姓名)，license_type(证件类型，1-居民身份证)，license_num(证件号码)，phone_num(联系电话)，create_time(创建时间)，update_time(更新时间)，create_user(创建用户)，update_user(更新用户)，reserved_field1(预留字段1)，reserved_field2(预留字段2)，reserved_field3(预留字段3)，reserved_field4(预留字段4)，reserved_field5(预留字段5)
5. 业务员表salesman：id，name(姓名)，phone_num(联系电话)
6. 审理案件表：id，case_number(案件号)，case_reason(案件来由)，case_type(案件类型)，court(法院)，case_status(案件状态)，judge_name(法官姓名)，create_time(创建时间)，update_time(更新时间)，create_user(创建用户)，update_user(更新用户)，reserved_field1(预留字段1)，reserved_field2(预留字段2)，reserved_field3(预留字段3)，reserved_field4(预留字段4)，reserved_field5(预留字段5)
7. 附件表：id，case_id(案件id)，indictment(附件起诉状)，party_prove(当事人身份证明)，proxy_prove(委托代理人委托手续和身份材料)，evidence(证据材料)，deliver_confirm(送达地址确认书)，other_materials(其他材料)，create_time(创建时间)，update_time(更新时间)，create_user(创建用户)，update_user(更新用户)，reserved_field1(预留字段1)，reserved_field2(预留字段2)，reserved_field3(预留字段3)，reserved_field4(预留字段4)，reserved_field5(预留字段5)

新建立案：诉讼申请书(附件),内部审批表(附件)，起诉状(附件)，营业执照(附件),法定代表人身份证明书(附件)，法人身份证(附件),

收案：受理案件通知书（附件）

案件属性：创建时间、创建人、申请人(业务员)、业务员电话、法官姓名、法官电话、联系人备注、案件备注、起诉金额、保全金额、诉讼费、退费、保全费、执行费、评估费、判决调解结果金额、判决调解结果金额备注、

界面审理显示：案号、原告、被告、法院名称、开庭时间、保全时间
